package ru.yandex.autodoc.common.doc.types;

import java.util.List;

/**
 * @author avhaliullin
 */
public class ObjectModel extends AnyObjectModel {
    private final List<FieldDescription> fields;
    private final String description;

    public ObjectModel(String name, List<FieldDescription> fields, String description) {
        super(name, STRING);
        this.fields = fields;
        this.description = description;
    }

    public List<FieldDescription> getFields() {
        return fields;
    }

    public String getDescription() {
        return description;
    }
}
